export const conditionList = [
  {
    id: "1",
    name: "等于",
    type: "Equals"
  },
  {
    id: "2",
    name: "等于(不分大小写)",
    type: "EqualsIgnoreCase"
  },
  {
    id: "3",
    name: "不等于",
    type: "NotEquals"
  },
  {
    id: "4",
    name: "不等于(不分大小写)",
    type: "NotEqualsIgnoreCase"
  },
  {
    id: "5",
    name: "小于",
    type: "LessThen"
  },
  {
    id: "6",
    name: "小于等于",
    type: "LessThenEquals"
  },
  {
    id: "7",
    name: "大于",
    type: "GreaterThen"
  },
  {
    id: "8",
    name: "大于等于",
    type: "GreaterThenEquals"
  },
  {
    id: "9",
    name: "开始于",
    type: "StartWith"
  },
  {
    id: "10",
    name: "不开始于",
    type: "NotStartWith"
  },
  {
    id: "11",
    name: "结束于",
    type: "EndWith"
  },
  {
    id: "12",
    name: "不结束于",
    type: "NotEndWith"
  },
  {
    id: "13",
    name: "为空",
    type: "Null"
  },
  {
    id: "14",
    name: "不为空",
    type: "NotNull"
  },
  {
    id: "15",
    name: "匹配",
    type: "Match"
  },
  {
    id: "16",
    name: "不匹配",
    type: "NotMatch"
  },
  {
    id: "17",
    name: "包含",
    type: "Contain"
  },
  {
    id: "18",
    name: "不包含",
    type: "NotContain"
  }
];
export const typeList = [
  {
    id: "1",
    name: "并且",
    type: "And"
  },
  {
    id: "2",
    name: "或者",
    type: "Or"
  },
  {
    id: "3",
    name: "添加条件",
    type: "Criteria"
  },
  {
    id: "4",
    name: "添加联合条件",
    type: "Junction"
  }
];
export const actionList = [
  {
    id: "1",
    name: "参数赋值",
    actionType: "ParameterAssign"
  },
  {
    id: "2",
    name: "执行方法",
    actionType: "ExecuteMethod"
  },
  {
    id: "3",
    name: "数据搜集",
    actionType: "DataCollection"
  }
];
export const dataTypeList = [
  {
    id: "Input",
    name: "输入值"
  },
  {
    id: "Constant",
    name: "选择常量"
  },
  {
    id: "Parameter",
    name: "选择参数"
  },
  {
    id: "Method",
    name: "选择方法"
  }
];
export const propOptions = [
  { label: "优先级", value: "1" },
  { label: "生效日期", value: "2" },
  { label: "失效日期", value: "3" }
];
export const conditionOperation = [
  {
    name: "插入条件列",
    id: "addCriteria",
    children: [
      {
        id: "leftAdd",
        name: "< 前"
      },
      {
        id: "rightAdd",
        name: "> 后"
      }
    ]
  },
  {
    name: "删除当前条件列",
    id: "delete"
  }
];
export const actionOperation = [
  {
    name: "插入执行方法动作列",
    id: "addAction",
    children: [
      {
        id: "leftAdd",
        name: "< 前"
      },
      {
        id: "rightAdd",
        name: "> 后"
      }
    ]
  },
  {
    name: "删除当前动作列",
    id: "delete"
  },
  {
    name: "插入变量赋值动作列",
    id: "addValue",
    children: [
      {
        id: "leftAdd",
        name: "< 前"
      },
      {
        id: "rightAdd",
        name: "> 后"
      }
    ]
  }
];
export const tableOperation = [
  {
    name: "配置条件",
    id: "set"
  },
  {
    name: "添加条件行",
    id: "add"
  },
  {
    name: "删除条件行",
    id: "delete"
  },
  {
    name: "上移",
    id: "up"
  },
  {
    name: "下移",
    id: "down"
  },
  {
    name: "清空",
    id: "empty"
  }
];
export const tableOperationResule = [
  {
    name: "结果配置",
    id: "setResult"
  },
  {
    name: "清空",
    id: "empty"
  }
];
